typedef void * __builtin_va_list;
#define __builtin_stdarg_start(ap, parmN)	((void)((ap)= &(parmN)))
#define __builtin_va_arg(ap, type)		(*(type*)(ap))
#define __builtin_va_end(ap)			((void)((ap)=0))
#define __builtin_va_copy(d,s)

void * __builtin_alloca(__SIZE_TYPE__);
void * __builtin_memcpy(void* dest, const void* src, __SIZE_TYPE__ n);
void __builtin_saveregs();

#define __flexarr [1]

#define __FD_ISSET(fd, fdsp) ((fd)!=0)
/* MINGW32 fix */
#ifdef __MINGW32__
#define _fileno(__F) ((__F)->_file)
#endif

